package com.example.ellegadodepintia.exploradoresDePintia.model.objeto.efectoObjeto

import com.example.ellegadodepintia.R
import com.example.ellegadodepintia.exploradoresDePintia.model.GameState
import com.example.ellegadodepintia.exploradoresDePintia.model.Atributo
import com.example.ellegadodepintia.exploradoresDePintia.model.GameState.context
import com.example.ellegadodepintia.soundManager.SoundManager

class EfectoObjetoCura (val ptosCura : Int): EfectoObjeto(){
    override fun ejecutar() {
        var soundManager: SoundManager
        soundManager = SoundManager(context!!)
        soundManager.playSound(R.raw.sound_vida, 100)
        if (GameState.jugador.atributos[Atributo.Vida]!!.plus(ptosCura) >= GameState.jugador.vidaMax){
            GameState.jugador.setHabilidad(Atributo.Vida, GameState.jugador.vidaMax)
        }else{
            GameState.jugador.actualizarAtributo(Atributo.Vida, ptosCura)
        }
    }
}